package com.ruoyi.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author fucheng.bai
 * @date 2025/9/29
 */
@Getter
@AllArgsConstructor
public enum LoginUserTypeEnum {

    ORDINARY(1, "普通用户"),

    MANAGEMENT_TEACHER(2, "管理老师"),

    NURSING_WORKER(3, "护工");

    private final Integer key;

    private final String desc;


    public static boolean isOrdinary(Integer key) {
        return ORDINARY.getKey().equals(key);
    }

    public static boolean isManagementTeacher(Integer key) {
        return MANAGEMENT_TEACHER.getKey().equals(key);
    }

    public static boolean isNursingWorker(Integer key) {
        return NURSING_WORKER.getKey().equals(key);
    }

}
